//Test vector generation file
//Colin O'Flynn

#include <stdio.h>
#include <stdlib.h>

//number of test vectors to generate
#define NUM_VECTORS 17500

	//Put lots of 8-bit std_logic_vector types to stdout
int	main
	(
	void
	)
	{
	int random_number;
	int i;
	int j;

	j = 0;
	while (j != NUM_VECTORS)
	{
		random_number = rand();
		i = 0;
		while (i < 8)
			{
			printf("%i", ((random_number >> i) & 1));
			i++;
			}
		printf("\n");
		j++;
	}

	return 1;
	}


